
package com.sun.ebank.util;

import java.io.Serializable;
import java.util.Locale;
import java.util.ResourceBundle;

/**
 *  Sub-class of java.util.ResourceBundle that implements Serializable interface.
 *   This class is required when using JBoss Clustering with HTTPSession replication.
 * 
 */
   
public class ResourceBundleSerializable 
   extends java.util.ResourceBundle 
   implements Serializable 
{
          	
   transient ResourceBundle wrapped = null;
          	
   protected String name = null;
   protected Locale locale = null;

   public ResourceBundleSerializable(String name, Locale locale)
   {
      this.name = name;
      this.locale = locale;
   }

   public java.util.Enumeration getKeys()
   {
      loadBundle();
      return this.wrapped.getKeys();
   }
      
    
   protected  Object handleGetObject(String key)
   {
      loadBundle();
      return this.wrapped.getObject( key);
   }
      
   
   protected void loadBundle ()
   {
      if (wrapped == null)
         wrapped = (ResourceBundle)ResourceBundle.getBundle(name, locale); 
   }
   
    
}

